Welkom  

   

Mijn Menu  

   

What's Up  

Geen evenementen
   

Wedstrijd  

Geen evenementen
   
   
   
   
   
   
   
   
   
   
   
   
   
   
Welkom, Gasten
De mogelijkheden om zelf te knutselen/ontwikkelen met de nieuwste generatie mini-PC's is eindeloos. Omdat er diverse fraaie initiatieven lopen die best wat eigen plek behoeven, bundelen we onze kennis in deze categorie.
  • Pagina:
  • 1
  • 2

Onderwerp: Ubuntu Hirsate Hippo 21.04

Ubuntu Hirsate Hippo 21.04 21 jan 2021 11:14 #1246374

  • brambo
  • brambo's Profielfoto
  • Offline
  • Gebruiker
  • Berichten: 4978
Plotseling zag ik het woord Hirsate verschijnen. Blijkt een nieuwe beta versie te zijn van Ubuntu genaamd Hirsate Hippo 21.04. Hirsate is iets met harig.

Er bleek ook al een versie voor de Raspberry te zijn.

Nu je toch thuis zit en weer eens iets anders wilt proberen dan is dat misschien een idee.

Inmiddels het uiteraard eerst zelf geprobeerd en het werkt.

Je kunt ook OpenCPN op installeren en ook de SignalK server werkt na eerst NPM geinstalleerd te hebben.

Ook de OpenPlotter extra's geprobeerd. Lijkt te werken. Echter python-configparser ontbreekt.

cdimage.ubuntu.com/daily-prein...p-arm64+raspi.img.xz

Het is uiteraard nog in een pril beta stadium.



Aanvulling:

XYGrib kun je zo installeren en werkt ook met Grib plugin van OpenCPN.
Laatst bewerkt: 21 jan 2021 12:38 door brambo.
Alleen ingelogde leden kunnen reageren.

Ubuntu Hirsate Hippo 21.04 21 jan 2021 11:16 #1246375

64 bit?
Alleen ingelogde leden kunnen reageren.

Ubuntu Hirsate Hippo 21.04 21 jan 2021 11:41 #1246384

  • brambo
  • brambo's Profielfoto
  • Offline
  • Gebruiker
  • Berichten: 4978
Nachtvlinder schreef :
64 bit?

Ja hoor allemaal 64 bits. Trouwens de eerdere uitvoering Groovy Gorilla is ook 64 bits. Dit is de opvolger.

Interessant van die Ubuntu versies is de totaal andere desktop.

Bram
Alleen ingelogde leden kunnen reageren.

Ubuntu Hirsate Hippo 21.04 21 jan 2021 12:11 #1246389

  • Menno
  • Menno's Profielfoto
  • Offline
  • Gebruiker
  • Berichten: 2340
brambo schreef :
Het is uiteraard nog in het beta stadium.

Dit is nog voor het beta-stadium, de beta komt pas op 1 april.

Tot die tijd kunnen er dus nog allerlei wijzigingen gedaan worden die je systeem stuk maken, ook als het nu werkt.
Het heeft weinig zin om dit te draaien voor gebruikers die niet de kennis hebben om het systeem te debuggen als het kapot gaat en in dat geval ook een bug-report kunnen maken bij de makers van de software.
“If debugging is the process of removing software bugs, then programming must be the process of putting them in.” — Edsger W. Dijkstra
Alleen ingelogde leden kunnen reageren.

Ubuntu Hirsate Hippo 21.04 21 jan 2021 12:13 #1246390

  • Menno
  • Menno's Profielfoto
  • Offline
  • Gebruiker
  • Berichten: 2340
brambo schreef :
Echter python-configparser ontbreekt.

Waar is dat voor nodig? Dat is een Python2 pakket, wordt er nog Python2 gebruikt door OpenPlotter?
“If debugging is the process of removing software bugs, then programming must be the process of putting them in.” — Edsger W. Dijkstra
Laatst bewerkt: 21 jan 2021 12:13 door Menno.
Alleen ingelogde leden kunnen reageren.

Ubuntu Hirsate Hippo 21.04 21 jan 2021 12:22 #1246391

  • brambo
  • brambo's Profielfoto
  • Offline
  • Gebruiker
  • Berichten: 4978
Menno schreef :
brambo schreef :
Het is uiteraard nog in het beta stadium.

Dit is nog voor het beta-stadium, de beta komt pas op 1 april.

Tot die tijd kunnen er dus nog allerlei wijzigingen gedaan worden die je systeem stuk maken, ook als het nu werkt.
Het heeft weinig zin om dit te draaien voor gebruikers die niet de kennis hebben om het systeem te debuggen als het kapot gaat en in dat geval ook een bug-report kunnen maken bij de makers van de software.

Beste Menno,

ik geef duidelijk aan dat het nog in het beta stadium verkeert en dat het misschien interessant is om het zo maar eens te proberen. Het is duidelijk de opvolger van de Groovy Gorilla versie.

Erg goed van Ubuntu dat ze er tegelijk een Raspberry versie van publiceren.

Tja, een mens wil graag eens wat nieuws proberen en ik kan zeggen het lijkt goed te werken.

Bug reports worden automatisch aangemaakt.

Groet,

Bram
Alleen ingelogde leden kunnen reageren.

Ubuntu Hirsate Hippo 21.04 21 jan 2021 12:28 #1246392

  • brambo
  • brambo's Profielfoto
  • Offline
  • Gebruiker
  • Berichten: 4978
Menno schreef :
brambo schreef :
Echter python-configparser ontbreekt.

Waar is dat voor nodig? Dat is een Python2 pakket, wordt er nog Python2 gebruikt door OpenPlotter?

Dat moet je aan OpenPlotter vragen. Als ik in de afhankelijkheden python-configparser weghaal dan installeren de OpenPlotter extra's zonder problemen. Echter als ik dan de mooie applicatie Serial wil gebruiken, dan komt de melding dat python-configparser ontbreekt.

Op de site van Ubuntu staat hierover de nodige informatie vermeld. Ik heb nog geen idee hoe deze ontbrekende schakel alsnog kan installeren.

Bram
Laatst bewerkt: 21 jan 2021 12:28 door brambo.
Alleen ingelogde leden kunnen reageren.

Ubuntu Hirsate Hippo 21.04 21 jan 2021 12:41 #1246393

  • Menno
  • Menno's Profielfoto
  • Offline
  • Gebruiker
  • Berichten: 2340
brambo schreef :
Menno schreef :
Dit is nog voor het beta-stadium, de beta komt pas op 1 april.

ik geef duidelijk aan dat het nog in het beta stadium verkeert en dat het misschien interessant is om het zo maar eens te proberen. Het is duidelijk de opvolger van de Groovy Gorilla versie.

Dit is nog in het alpha-stadium, dus nog geen beta.
Dat is de fase van ontwikkeling waar soms nog erg grote wijzigingen worden gedaan, die bepaalde delen van het systeem stuk maken.

brambo schreef :
dat het misschien interessant is om het zo maar eens te proberen.
Voor vrijwel alle bezoekers van ZF is deze versie nog totaal niet interessant. Sterker nog, ik zou iedereen die Ubuntu op een Raspberry Pi wil draaien voor aan boord aanraden om niet Ubuntu Groovy (20.10) te nemen maar Ubuntu Focal (20.04). Dat is een Long term support (LTS) en wordt daarom een stuk langer ondersteund (5 jaar i.p.v. 9 maanden). Externe repositories (zoals OpenPlotter) worden vaak ook primair gebrouwd voor een LTS-release.
“If debugging is the process of removing software bugs, then programming must be the process of putting them in.” — Edsger W. Dijkstra
Laatst bewerkt: 21 jan 2021 12:48 door Menno.
Alleen ingelogde leden kunnen reageren.

Ubuntu Hirsate Hippo 21.04 21 jan 2021 13:00 #1246398

  • brambo
  • brambo's Profielfoto
  • Offline
  • Gebruiker
  • Berichten: 4978
Ergo. Don't try this on the Boat. Maar gewoon thuis.

Je hoeft er alleen een ander SD kaartje voor te gebruiken.

Werkt het niet. Oude kaartje er weer in. Zo eenvoudig is het.

En niet vergeten in OpenCPN OpenGl aan te zetten, voor snellere beeldbeweging.
Laatst bewerkt: 21 jan 2021 13:21 door brambo.
Alleen ingelogde leden kunnen reageren.

Ubuntu Hirsate Hippo 21.04 21 jan 2021 16:55 #1246440

  • nobody
  • nobody's Profielfoto
  • Offline
  • Gebruiker
  • Berichten: 115
brambo schreef :
Ergo. Don't try this on the Boat. Maar gewoon thuis.

Hele goede raad. Ik hoop dat mensen die overwegen met een dergelijk mini computertje te gaan spelen heel goed achter hun oren krabben voordat ze daarmee het water op gaan en voor hun navigatie er van afhankelijk zijn. Goede raad is immers duur.
Alleen ingelogde leden kunnen reageren.

Ubuntu Hirsate Hippo 21.04 21 jan 2021 16:57 #1246442

  • Menno
  • Menno's Profielfoto
  • Offline
  • Gebruiker
  • Berichten: 2340
brambo schreef :
Dat moet je aan OpenPlotter vragen. Als ik in de afhankelijkheden python-configparser weghaal dan installeren de OpenPlotter extra's zonder problemen. Echter als ik dan de mooie applicatie Serial wil gebruiken, dan komt de melding dat python-configparser ontbreekt.

Op de site van Ubuntu staat hierover de nodige informatie vermeld. Ik heb nog geen idee hoe deze ontbrekende schakel alsnog kan installeren.

Dat package zou je helemaal niet nodig moeten hebben:
github.com/openplotter/openplotter-settings/issues/10
“If debugging is the process of removing software bugs, then programming must be the process of putting them in.” — Edsger W. Dijkstra
Alleen ingelogde leden kunnen reageren.

Ubuntu Hirsate Hippo 21.04 21 jan 2021 17:11 #1246445

  • brambo
  • brambo's Profielfoto
  • Offline
  • Gebruiker
  • Berichten: 4978
Allo Menno,

goed om dit tegelijk in Github te melden. Hoop dat Sailoog het snel zal aanpassen.

Groet,


Bram
Alleen ingelogde leden kunnen reageren.

Ubuntu Hirsate Hippo 21.04 21 jan 2021 17:30 #1246449

  • brambo
  • brambo's Profielfoto
  • Offline
  • Gebruiker
  • Berichten: 4978
nobody schreef :
brambo schreef :
Ergo. Don't try this on the Boat. Maar gewoon thuis.

Hele goede raad. Ik hoop dat mensen die overwegen met een dergelijk mini computertje te gaan spelen heel goed achter hun oren krabben voordat ze daarmee het water op gaan en voor hun navigatie er van afhankelijk zijn. Goede raad is immers duur.

Wat al eerder is aangeven, dit geen software die je direct op de boot moet gaan gebruiken. Een stabiele versie is dan aan te raden. Overigens de RPI werkt op een ARM Risc processor. De processor die Apple nu ook gaat toepassen.

De RPI is een prima systeem voor aan boord omdat je eenvoudig alle componenten eenvoudig kunt vervangen. Werkt de software of SSD HD niet goed, dan stop je er een reserve SD kaartje in. Ben je bang voor een blikseminslag, dan neem je voor € 40,- een reserve RPI computerboardje en sla die op in een blikken doosje. Doet je beeldscherm het plotseling niet meer, dan gebruik je een andere computer, of een tablet, een GSM telefoon of een Ipad met een VNC client erop.

De RPI met OpenPlotter heeft een draadloos Wifi Acces punt.

Allemaal zaken die je gewoon met andere systemen niet hebt.

Bram
Laatst bewerkt: 21 jan 2021 17:48 door brambo.
Alleen ingelogde leden kunnen reageren.

Ubuntu Hirsate Hippo 21.04 23 jan 2021 18:58 #1246888

  • brambo
  • brambo's Profielfoto
  • Offline
  • Gebruiker
  • Berichten: 4978
brambo schreef :
Allo Menno,

goed om dit tegelijk in Github te melden. Hoop dat Sailoog het snel zal aanpassen.

Groet,


Bram

Inmiddels gekeken of de Oesenc plugin ook werkt in deze versie.
Oesenc plugin 4.2.14.0 GTK3-arm64-20.04 geinstalleerd.

Dat alleen is niet voldoende.

Daarna de bestanden libusb-0.1-4 en ook nog libusb-1.0-0 geinstalleerd.

Dan werkt deze nieuwe beta versie ook met de Oesenc kaarten met de usb dongle als kopieer beveiiging.

Met de laatste updates werkt het systeem aanzienlijk sneller dan voorheen. Heeft ook een mooie grafisch interface.

Bram
Laatst bewerkt: 23 jan 2021 21:55 door brambo.
Alleen ingelogde leden kunnen reageren.

Ubuntu Hirsate Hippo 21.04 28 feb 2021 18:22 #1257655

  • brambo
  • brambo's Profielfoto
  • Offline
  • Gebruiker
  • Berichten: 4978
In de volgende versie van OpenCPN zal de libusb file tegelijk mee worden geinstalleerd.

Nu moet het nog handmatig gedaan worden, anders stopt het instellen van de Oesenc kaarten met de usb dongle als beveiliging.

Inmiddels werkt hier Hirsate Hippo. Inclusief de Oesenc kaarten, de SignalK server en het instrumentenpaneel MXTommy/Kip. Er zijn wel zeer frequent updates, maar het werkt nu snel en perfect.

OpenCPN zit nu ook standaard in de repositories. Alhoewel ik dit zelf heb aangepast naar de OpenCPN Focal versie

De software is 64 bits voor een ARM processor en werkt op de Pi3 en PI4. Maar er zijn ook versies voor AMD64 systemen.

Nog werk in uitvoering.
Alleen ingelogde leden kunnen reageren.

Ubuntu Hirsate Hippo 21.04 28 feb 2021 20:18 #1257706

  • brambo
  • brambo's Profielfoto
  • Offline
  • Gebruiker
  • Berichten: 4978
Hier nog een afbeelding van een waterdicht 7" schermpje met daglicht 1000 nits.

Eenvoudige MxTommy K toepassing. De instrumenten kun eenvoudig zelf samenstellen in verschillende display formaten: ronde klokjes, liniair, getallen, grafieken voor alles wat er op de NMEA183, NMEA2000 en de sensoren, temperatuur, stand van de brandstof tank etc. binnenkomt. Alles wat in SignalK draait.

Laatst bewerkt: 28 feb 2021 20:19 door brambo.
Alleen ingelogde leden kunnen reageren.

Ubuntu Hirsate Hippo 21.04 02 apr 2021 11:32 #1269095

  • brambo
  • brambo's Profielfoto
  • Offline
  • Gebruiker
  • Berichten: 4978
brambo schreef :
In de volgende versie van OpenCPN zal de libusb file tegelijk mee worden geinstalleerd.

Nu moet het nog handmatig gedaan worden, anders stopt het instellen van de Oesenc kaarten met de usb dongle als beveiliging.

Inmiddels werkt hier Hirsate Hippo. Inclusief de Oesenc kaarten, de SignalK server en het instrumentenpaneel MXTommy/Kip. Er zijn wel zeer frequent updates, maar het werkt nu snel en perfect.

OpenCPN zit nu ook standaard in de repositories. Alhoewel ik dit zelf heb aangepast naar de OpenCPN Focal versie

De software is 64 bits voor een ARM processor en werkt op de Pi3 en PI4. Maar er zijn ook versies voor AMD64 systemen.

Nog werk in uitvoering.

Het werk in uitvoering inmiddels per 1 april een beta versie geworden. Nu uitgerust met de moderne Linux kernel 5.11. Jammer dat de nieuwe Gnome 4.0 nog niet is toegevoegd.

Gebruik op de Raspberry Pi 4 werkt erg goed. Er zijn nog veel algemene updates, waarvan er enige niet goed uitwerken op de RPI voor bijvoorbeeld OpenCPN. Dus voorzichtig aan met alle updates te gebruiken. Het heeft alleen betrekking op de terminal en bijvoorbeeld OpenCPN.

Verder weer een grote vooruitgang in de werking van de RPI. De OpenPlotter extra's werken hier (nog) niet op. Wel SignalK, MXTommy Kip, XYGrib en OpenCPN met de plugin voor de Oesenc usb dongle.

Voor geinteresseerde. Ik heb hier een image voor een compleet werkend met opgewaardeeringen in de vorm van een image.

Bram
Laatst bewerkt: 02 apr 2021 11:34 door brambo.
Alleen ingelogde leden kunnen reageren.

Ubuntu Hirsate Hippo 21.04 02 apr 2021 13:45 #1269134

  • Menno
  • Menno's Profielfoto
  • Offline
  • Gebruiker
  • Berichten: 2340
brambo schreef :
Verder weer een grote vooruitgang in de werking van de RPI. De OpenPlotter extra's werken hier (nog) niet op. Wel SignalK, MXTommy Kip, XYGrib en OpenCPN met de plugin voor de Oesenc usb dongle.
Wat bedoel je hier dan met "de OpenPlotter extra's"? Uit welke repository heb je de programma's die je daarna noemt dan geïnstalleerd?

Voor geinteresseerde. Ik heb hier een image voor een compleet werkend met opgewaardeeringen in de vorm van een image.
Een image van Hirsute? Het lijkt me niet handig om dat te gaan distribueren.
Het is op het moment nog beta. Als je onvoldoende kennis hebt om vanuit de daily images van Ubuntu zelf de benodigde software te installeren moet je geen beta gaan draaien. Het idee is dat iemand die een beta draait ook kan uitzoeken wat er eventueel mis gaat, en daar dan een nuttige feedback op kan geven d.m.v. een bug report.
“If debugging is the process of removing software bugs, then programming must be the process of putting them in.” — Edsger W. Dijkstra
Laatst bewerkt: 02 apr 2021 14:08 door Menno.
Alleen ingelogde leden kunnen reageren.

Ubuntu Hirsate Hippo 21.04 02 apr 2021 16:07 #1269170

  • brambo
  • brambo's Profielfoto
  • Offline
  • Gebruiker
  • Berichten: 4978
Beste Menno,

Een werkende image met OpenCPN plus een aantal kaarten en een werkende Oesenc plugin en de SignalK server plus MXTommy/K is mogelijk voor een aantal gebruikers interessant om eens te proberen.

Je moet daarna niet zomaar gaan opwaarderen. Daar schuilt namelijk een risico in, omdat het algemene updates zijn en soms het gevolg hebben dat OpenCPn en de Terminal op de RPI niet goed meer werken.

Maar verder werkt het primna en snel vanaf mijn SSD HD USB3 drive, zonder een SD kaartje in de RPI.

Er wordt veel vooruitgang geboekt met de software voor de RPI ook het 64 bits RaspiOS gaat met sprongen vooruit.

Maar "Don't try this on the boat yet"

De definitieve versie wordt verwacht eind april.

Mijn CM44 werkt nog niet. Wacht nog een een paar onderdelen.

Erg interessant is het nieuwe Tofu boardje met een aansluiting erop voor een PCINVMe SSd kaartje en een CM4 Raspi4 module

Bram
Alleen ingelogde leden kunnen reageren.

Ubuntu Hirsate Hippo 21.04 02 apr 2021 16:37 #1269184

  • brambo
  • brambo's Profielfoto
  • Offline
  • Gebruiker
  • Berichten: 4978
@menno

De OpenPlotter extra's komen niet uit een repository net zo min als de SignalK server.

Maar van de site van OpenMarine/Openplotter

openplotter.readthedocs.io/en/...ted/downloading.html

Je moet hiervoor wel een aantal afhankelijkheden installeren.

sudo apt install python-configparser python3-wxgtk4.0 python3-ujson python3-pyudev whois vlc

Het werkt op de Ubuntu 64 bits Groovy Gorilla en hier ook op mijn Linux Mint AMD64 systeem.

Ook de calibratie software om met een DSR-RTL dongle AIS te ontvangen werkt hier ook op.

De netwerk applicatie geeft op de Groovy wel wat problemen. Ligt mogelijk aan de wifi drivers voor het instellen van een Wifi Acces punt.

Bram
Laatst bewerkt: 02 apr 2021 16:41 door brambo.
Alleen ingelogde leden kunnen reageren.

Ubuntu Hirsate Hippo 21.04 02 apr 2021 19:31 #1269256

  • Menno
  • Menno's Profielfoto
  • Offline
  • Gebruiker
  • Berichten: 2340
brambo schreef :
De OpenPlotter extra's komen niet uit een repository net zo min als de SignalK server.

Maar van de site van OpenMarine/Openplotter

openplotter.readthedocs.io/en/...ted/downloading.html

Bedoel je de optie “Advanced” (OpenPlotter Settings deb)?
“If debugging is the process of removing software bugs, then programming must be the process of putting them in.” — Edsger W. Dijkstra
Alleen ingelogde leden kunnen reageren.

Ubuntu Hirsate Hippo 21.04 02 apr 2021 19:47 #1269260

  • brambo
  • brambo's Profielfoto
  • Offline
  • Gebruiker
  • Berichten: 4978
Dat is de juiste deb file. Maar eerst de afhankelijkheden installeren.

Dan komt "instellingen" op je systeem en daarmee kun je diverse zaken installeren Er zijn een paar applicaties, die alleen bedoeld zijn voor de RPI als je een ander Linux systeem gebruikt.

Groet,


Bram

In Ubuntu is OpenCPN ook beschikbaar in de repositories voor direct installeren. Ik ben echter daarna terug gegaan naar de Focal versie.
Alleen ingelogde leden kunnen reageren.

Ubuntu Hirsate Hippo 21.04 03 apr 2021 07:20 #1269352

  • Menno
  • Menno's Profielfoto
  • Offline
  • Gebruiker
  • Berichten: 2340
brambo schreef :
De OpenPlotter extra's komen niet uit een repository net zo min als de SignalK server.

Maar van de site van OpenMarine/Openplotter

Daarmee komt openplotter-settings eenmaal als losse .deb van die site. Maar als je gaat kijken wat dat dan o.a. doet:
github.com/openplotter/openplo...gs/installSources.py

Een heleboel nieuwe repositories toevoegen! Waaronder een waarmee je ook nieuwe versies van openplotter-settings krijgt.
“If debugging is the process of removing software bugs, then programming must be the process of putting them in.” — Edsger W. Dijkstra
Alleen ingelogde leden kunnen reageren.

Ubuntu Hirsate Hippo 21.04 03 apr 2021 07:25 #1269354

  • Menno
  • Menno's Profielfoto
  • Offline
  • Gebruiker
  • Berichten: 2340
brambo schreef :
Maar eerst de afhankelijkheden installeren.
Dat is niet nodig. Als je een losse .deb hebt gedownload (naar ~/Downloads) kan je die tegenwoordig ook met apt installeren, en dan zoekt apt dat voor je uit. Hoeft dus niet meer met dpkg (daar moest je wel zelf de afhankelijkheden installeren).
cd ~/Downloads
sudo apt install ./openplotter-settings_2.7.0-stable_all.deb

Er moet dan wel ./ in de naam staan, anders gaat apt in de repositories zoeken.
“If debugging is the process of removing software bugs, then programming must be the process of putting them in.” — Edsger W. Dijkstra
Alleen ingelogde leden kunnen reageren.

Ubuntu Hirsate Hippo 21.04 03 apr 2021 07:32 #1269358

  • Menno
  • Menno's Profielfoto
  • Offline
  • Gebruiker
  • Berichten: 2340
brambo schreef :
In Ubuntu is OpenCPN ook beschikbaar in de repositories voor direct installeren. Ik ben echter daarna terug gegaan naar de Focal versie.

Als je Focal-repositories gaat toevoegen aan een Groovy- of Hirsute-installatie ben je naar mijn mening beter af met een Focal-installatie met een nieuwe kernel uit focal-updates:
packages.ubuntu.com/focal-upda...neric-hwe-20.04-edge
“If debugging is the process of removing software bugs, then programming must be the process of putting them in.” — Edsger W. Dijkstra
Laatst bewerkt: 03 apr 2021 07:33 door Menno.
Alleen ingelogde leden kunnen reageren.
  • Pagina:
  • 1
  • 2
Tijd voor maken pagina: 0.392 seconden
Gemaakt door Kunena
   
   
   
   
© Zeilersforum.nl